Bug 182725 - transcode invalid argument for --progress_rate
Summary: transcode invalid argument for --progress_rate
Status: RESOLVED FIXED
Alias: None
Product: k3b
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Sebastian Trueg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-01 15:01 UTC by apog
Modified: 2012-07-22 13:29 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description apog 2009-02-01 15:01:16 UTC
Version:           1.0.5 (using 3.5.9, Debian Package 4:3.5.9.dfsg.1-6 (lenny/sid))
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.24-2.6.24.4.slh.5-sidux-686

System
-----------------------
K3b Version: 1.0.5

KDE Version: 3.5.9
QT Version:  3.3.8b
Kernel:      2.6.24-2.6.24.4.slh.5-sidux-686
Devices
-----------------------
HL-DT-ST DVDRAM GSA-4081B A104 (/dev/scd0, ) [CD-R, CD-RW, CD-ROM, DVD-ROM, DVD-R, DVD-RW, DVD+R, DVD+RW] [DVD-ROM, DVD-R séquentiel, DVD-RAM, DVD RW à réinscription limitée, DVD-RW séquentiel, DVD+RW, DVD+R, CD-ROM, CD-R, CD-RW] [SAO, TAO, RAW, SAO/R96P, SAO/R96R, RAW/R16, RAW/R96P, RAW/R96R, Réinscription restreinte]

Used versions
-----------------------
transcode: 1.1.0

transcode
-----------------------
[ [31;1mtranscode [0m] [31;1m critical [0m: Invalid argument for --progress_rate

transcode command:
-----------------------
/usr/bin/transcode --nice 19 --progress_meter 2 --progress_rate 0 -i /dev/scd0 -x dvd -T 1,-1,1 -a 0 -j 0,0,0,0 -R 1,/media/disk1part6/k3b-tmp/k3b_0.log -y ffmpeg,null -o /dev/null -F mpeg4 -w 1800 -Z 752x576
Comment 1 F. Di Milia 2009-02-26 15:27:40 UTC
Same here.

transcode >=1.1.0 don't know the argument "0" for "--progress_rate" but "--progress_rate 1" works fine. :)



Error Message:

Code:

Devices
-----------------------
LITE-ON DVDRW SOHW-1653S CS0M (/dev/sr1, CD-R, CD-RW, CD-ROM, DVD-ROM, DVD-R, DVD-RW, DVD+R, DVD+RW, DVD+R DL) [DVD-ROM, DVD-R Sequential, DVD-RW Restricted Overwrite, DVD-RW Sequential, DVD+RW, DVD+R, DVD+R Dual Layer, CD-ROM, CD-R, CD-RW] [SAO, TAO, RAW, SAO/R96P, SAO/R96R, RAW/R16, RAW/R96P, RAW/R96R, Restricted Overwrite] [%7]
JLMS XJ-HD166S DS18 (/dev/sr0, CD-ROM, DVD-ROM) [DVD-ROM, CD-ROM] [None] [%7]

System
-----------------------
K3b Version: 1.95-svn
KDE Version: 4.2.00 (KDE 4.2.0)
QT Version:  4.4.3
Kernel:      2.6.28-ARCH

Used versions
-----------------------
transcode: 1.1.0

transcode
-----------------------
[[31;1mtranscode [0m] [31;1m critical [0m: Invalid argument for --progress_rate

transcode command:
-----------------------
/usr/bin/transcode --nice 19 --progress_meter 2 --progress_rate 0 -i /dev/sr0 -x dvd -T 1,-1,1 -a 0 -j 0,0,0,0 -R 1,/tmp/kde-angelus/k3b_0.log -y ffmpeg,null -o /dev/null -F mpeg4 -w 1800 -Z 1024x576
Comment 2 Heinrich Kuettler 2009-03-25 12:14:00 UTC
A workaround:

sudo mv /usr/bin/transcode /usr/bin/transcode.orig
sudo cat > /usr/bin/transcode
#!/bin/bash
V=$@
/usr/bin/transcode.orig ${V/"--progress_rate 0"/"--progress_rate 1"}


(End the input with ^D)
Comment 3 Sebastian Trueg 2009-03-28 15:24:56 UTC
SVN commit 945919 by trueg:

Make sure --progress_rate is never 0

BUG: 182725
BUG: 185437


 M  +3 -2      k3bvideodvdtitletranscodingjob.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=945919
Comment 4 Rex Dieter 2009-12-06 23:04:58 UTC
SVN commit 1059542 by rdieter:

backport commit 945919 , progress_rate handling

BUG: 182725
BUG: 185437


 M  +3 -2      k3bvideodvdtitletranscodingjob.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1059542
Comment 5 Aleksandar Kostadinov 2009-12-26 16:14:03 UTC
For me the workaround doesn't work. k3b recognizes transcode as the correct version "1.1.5" but it doesn't recognize the codecs it does support.

Without the workaround transcode codecs are recognized but "progress_rate 0" breaks the rip.
Comment 6 Andy 2012-07-22 13:29:36 UTC
The patch for k3b 1.0.5 contains an error:

line 209 needs to have 'QMAX' not 'qMax' otherwise the code doesn't build!

I realise k3b 1.x is old now (but still used by some distros like RHEL6/Centos6) but since this is a trivial fix it would be nice if you can still fix it.